Request gumball item
Builds a request, signed by seller, to add asset to another creator's gumballMachine. The item is held as if it were added until the machine's authority approves or rejects the request. Supports the same standards as POST /v2/tx/gumball/add-item.
Authorization
ApiKeyAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/tx/gumball/request-add-item" \ -H "Content-Type: application/json" \ -d '{ "seller": "string", "gumballMachine": "string", "asset": "string" }'{ "result": { "tx": "string", "setupTx": "string" }}Add gumball item POST
Builds the transaction adding asset to gumballMachine, signed by seller, who must own it. Supports nft, pnft, core, cnft and cnft-v2.
Cancel gumball item request POST
Builds the transaction withdrawing seller's pending request to add asset to gumballMachine, and returning the item to them.